Documentation
¶
Index ¶
- Constants
- type DeletePackage
- type DeletePackageConflict
- type DeletePackageHandler
- type DeletePackageHandlerFunc
- type DeletePackageInternalServerError
- func (o *DeletePackageInternalServerError) SetPayload(payload *models.ErrorMessage)
- func (o *DeletePackageInternalServerError) WithPayload(payload *models.ErrorMessage) *DeletePackageInternalServerError
- func (o *DeletePackageInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
- type DeletePackageNotFound
- type DeletePackageOK
- type DeletePackageParams
- type DeletePackageURL
- func (o *DeletePackageURL) Build() (*url.URL, error)
- func (o *DeletePackageURL) BuildFull(scheme, host string) (*url.URL, error)
- func (o *DeletePackageURL) Must(u *url.URL, err error) *url.URL
- func (o *DeletePackageURL) SetBasePath(bp string)
- func (o *DeletePackageURL) String() string
- func (o *DeletePackageURL) StringFull(scheme, host string) string
- func (o *DeletePackageURL) WithBasePath(bp string) *DeletePackageURL
- type DeletePackageUnauthorized
- type GetAllPackages
- type GetAllPackagesHandler
- type GetAllPackagesHandlerFunc
- type GetAllPackagesInternalServerError
- func (o *GetAllPackagesInternalServerError) SetPayload(payload *models.ErrorMessage)
- func (o *GetAllPackagesInternalServerError) WithPayload(payload *models.ErrorMessage) *GetAllPackagesInternalServerError
- func (o *GetAllPackagesInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
- type GetAllPackagesOK
- type GetAllPackagesParams
- type GetAllPackagesURL
- func (o *GetAllPackagesURL) Build() (*url.URL, error)
- func (o *GetAllPackagesURL) BuildFull(scheme, host string) (*url.URL, error)
- func (o *GetAllPackagesURL) Must(u *url.URL, err error) *url.URL
- func (o *GetAllPackagesURL) SetBasePath(bp string)
- func (o *GetAllPackagesURL) String() string
- func (o *GetAllPackagesURL) StringFull(scheme, host string) string
- func (o *GetAllPackagesURL) WithBasePath(bp string) *GetAllPackagesURL
- type GetAllPackagesUnauthorized
- type GetPackageByName
- type GetPackageByNameConflict
- type GetPackageByNameHandler
- type GetPackageByNameHandlerFunc
- type GetPackageByNameInternalServerError
- func (o *GetPackageByNameInternalServerError) SetPayload(payload *models.ErrorMessage)
- func (o *GetPackageByNameInternalServerError) WithPayload(payload *models.ErrorMessage) *GetPackageByNameInternalServerError
- func (o *GetPackageByNameInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
- type GetPackageByNameNotFound
- type GetPackageByNameOK
- type GetPackageByNameParams
- type GetPackageByNameURL
- func (o *GetPackageByNameURL) Build() (*url.URL, error)
- func (o *GetPackageByNameURL) BuildFull(scheme, host string) (*url.URL, error)
- func (o *GetPackageByNameURL) Must(u *url.URL, err error) *url.URL
- func (o *GetPackageByNameURL) SetBasePath(bp string)
- func (o *GetPackageByNameURL) String() string
- func (o *GetPackageByNameURL) StringFull(scheme, host string) string
- func (o *GetPackageByNameURL) WithBasePath(bp string) *GetPackageByNameURL
- type GetPackageByNameUnauthorized
- type UpdatePackage
- type UpdatePackageBadRequest
- type UpdatePackageConflict
- type UpdatePackageForbidden
- type UpdatePackageHandler
- type UpdatePackageHandlerFunc
- type UpdatePackageInternalServerError
- func (o *UpdatePackageInternalServerError) SetPayload(payload *models.ErrorMessage)
- func (o *UpdatePackageInternalServerError) WithPayload(payload *models.ErrorMessage) *UpdatePackageInternalServerError
- func (o *UpdatePackageInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
- type UpdatePackageOK
- type UpdatePackageParams
- type UpdatePackageRequestEntityTooLarge
- func (o *UpdatePackageRequestEntityTooLarge) SetPayload(payload *models.ErrorMessage)
- func (o *UpdatePackageRequestEntityTooLarge) WithPayload(payload *models.ErrorMessage) *UpdatePackageRequestEntityTooLarge
- func (o *UpdatePackageRequestEntityTooLarge) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
- type UpdatePackageURL
- func (o *UpdatePackageURL) Build() (*url.URL, error)
- func (o *UpdatePackageURL) BuildFull(scheme, host string) (*url.URL, error)
- func (o *UpdatePackageURL) Must(u *url.URL, err error) *url.URL
- func (o *UpdatePackageURL) SetBasePath(bp string)
- func (o *UpdatePackageURL) String() string
- func (o *UpdatePackageURL) StringFull(scheme, host string) string
- func (o *UpdatePackageURL) WithBasePath(bp string) *UpdatePackageURL
- type UpdatePackageUnauthorized
Constants ¶
const DeletePackageConflictCode int = 409
DeletePackageConflictCode is the HTTP code returned for type DeletePackageConflict
const DeletePackageInternalServerErrorCode int = 500
DeletePackageInternalServerErrorCode is the HTTP code returned for type DeletePackageInternalServerError
const DeletePackageNotFoundCode int = 404
DeletePackageNotFoundCode is the HTTP code returned for type DeletePackageNotFound
const DeletePackageOKCode int = 200
DeletePackageOKCode is the HTTP code returned for type DeletePackageOK
DeletePackageUnauthorizedCode is the HTTP code returned for type DeletePackageUnauthorized
const GetAllPackagesInternalServerErrorCode int = 500
GetAllPackagesInternalServerErrorCode is the HTTP code returned for type GetAllPackagesInternalServerError
const GetAllPackagesOKCode int = 200
GetAllPackagesOKCode is the HTTP code returned for type GetAllPackagesOK
GetAllPackagesUnauthorizedCode is the HTTP code returned for type GetAllPackagesUnauthorized
const GetPackageByNameConflictCode int = 409
GetPackageByNameConflictCode is the HTTP code returned for type GetPackageByNameConflict
const GetPackageByNameInternalServerErrorCode int = 500
GetPackageByNameInternalServerErrorCode is the HTTP code returned for type GetPackageByNameInternalServerError
const GetPackageByNameNotFoundCode int = 404
GetPackageByNameNotFoundCode is the HTTP code returned for type GetPackageByNameNotFound
const GetPackageByNameOKCode int = 200
GetPackageByNameOKCode is the HTTP code returned for type GetPackageByNameOK
GetPackageByNameUnauthorizedCode is the HTTP code returned for type GetPackageByNameUnauthorized
const UpdatePackageBadRequestCode int = 400
UpdatePackageBadRequestCode is the HTTP code returned for type UpdatePackageBadRequest
const UpdatePackageConflictCode int = 409
UpdatePackageConflictCode is the HTTP code returned for type UpdatePackageConflict
const UpdatePackageForbiddenCode int = 403
UpdatePackageForbiddenCode is the HTTP code returned for type UpdatePackageForbidden
const UpdatePackageInternalServerErrorCode int = 500
UpdatePackageInternalServerErrorCode is the HTTP code returned for type UpdatePackageInternalServerError
const UpdatePackageOKCode int = 200
UpdatePackageOKCode is the HTTP code returned for type UpdatePackageOK
const UpdatePackageRequestEntityTooLargeCode int = 413
UpdatePackageRequestEntityTooLargeCode is the HTTP code returned for type UpdatePackageRequestEntityTooLarge
UpdatePackageUnauthorizedCode is the HTTP code returned for type UpdatePackageUnauthorized
Variables ¶
This section is empty.
Functions ¶
This section is empty.
Types ¶
type DeletePackage ¶
type DeletePackage struct {
Context *middleware.Context
Handler DeletePackageHandler
}
DeletePackage swagger:route DELETE /namespaces/{namespace}/packages/{packageName} Packages deletePackage
Delete a package ¶
Delete a package
func NewDeletePackage ¶
func NewDeletePackage(ctx *middleware.Context, handler DeletePackageHandler) *DeletePackage
NewDeletePackage creates a new http.Handler for the delete package operation
func (*DeletePackage) ServeHTTP ¶
func (o *DeletePackage) ServeHTTP(rw http.ResponseWriter, r *http.Request)
type DeletePackageConflict ¶
type DeletePackageConflict struct {
/*
In: Body
*/
Payload *models.ErrorMessage `json:"body,omitempty"`
}
DeletePackageConflict Conflicting item already exists
swagger:response deletePackageConflict
func NewDeletePackageConflict ¶
func NewDeletePackageConflict() *DeletePackageConflict
NewDeletePackageConflict creates DeletePackageConflict with default headers values
func (*DeletePackageConflict) SetPayload ¶
func (o *DeletePackageConflict) SetPayload(payload *models.ErrorMessage)
SetPayload sets the payload to the delete package conflict response
func (*DeletePackageConflict) WithPayload ¶
func (o *DeletePackageConflict) WithPayload(payload *models.ErrorMessage) *DeletePackageConflict
WithPayload adds the payload to the delete package conflict response
func (*DeletePackageConflict) WriteResponse ¶
func (o *DeletePackageConflict) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type DeletePackageHandler ¶
type DeletePackageHandler interface {
Handle(DeletePackageParams, *models.Principal) middleware.Responder
}
DeletePackageHandler interface for that can handle valid delete package params
type DeletePackageHandlerFunc ¶
type DeletePackageHandlerFunc func(DeletePackageParams, *models.Principal) middleware.Responder
DeletePackageHandlerFunc turns a function with the right signature into a delete package handler
func (DeletePackageHandlerFunc) Handle ¶
func (fn DeletePackageHandlerFunc) Handle(params DeletePackageParams, principal *models.Principal) middleware.Responder
Handle executing the request and returning a response
type DeletePackageInternalServerError ¶
type DeletePackageInternalServerError struct {
/*
In: Body
*/
Payload *models.ErrorMessage `json:"body,omitempty"`
}
DeletePackageInternalServerError Server error
swagger:response deletePackageInternalServerError
func NewDeletePackageInternalServerError ¶
func NewDeletePackageInternalServerError() *DeletePackageInternalServerError
NewDeletePackageInternalServerError creates DeletePackageInternalServerError with default headers values
func (*DeletePackageInternalServerError) SetPayload ¶
func (o *DeletePackageInternalServerError) SetPayload(payload *models.ErrorMessage)
SetPayload sets the payload to the delete package internal server error response
func (*DeletePackageInternalServerError) WithPayload ¶
func (o *DeletePackageInternalServerError) WithPayload(payload *models.ErrorMessage) *DeletePackageInternalServerError
WithPayload adds the payload to the delete package internal server error response
func (*DeletePackageInternalServerError) WriteResponse ¶
func (o *DeletePackageInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type DeletePackageNotFound ¶
type DeletePackageNotFound struct {
/*
In: Body
*/
Payload *models.ErrorMessage `json:"body,omitempty"`
}
DeletePackageNotFound Item not found
swagger:response deletePackageNotFound
func NewDeletePackageNotFound ¶
func NewDeletePackageNotFound() *DeletePackageNotFound
NewDeletePackageNotFound creates DeletePackageNotFound with default headers values
func (*DeletePackageNotFound) SetPayload ¶
func (o *DeletePackageNotFound) SetPayload(payload *models.ErrorMessage)
SetPayload sets the payload to the delete package not found response
func (*DeletePackageNotFound) WithPayload ¶
func (o *DeletePackageNotFound) WithPayload(payload *models.ErrorMessage) *DeletePackageNotFound
WithPayload adds the payload to the delete package not found response
func (*DeletePackageNotFound) WriteResponse ¶
func (o *DeletePackageNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type DeletePackageOK ¶
type DeletePackageOK struct {
}
DeletePackageOK Deleted Item
swagger:response deletePackageOK
func NewDeletePackageOK ¶
func NewDeletePackageOK() *DeletePackageOK
NewDeletePackageOK creates DeletePackageOK with default headers values
func (*DeletePackageOK) WriteResponse ¶
func (o *DeletePackageOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type DeletePackageParams ¶
type DeletePackageParams struct {
// HTTP Request Object
HTTPRequest *http.Request `json:"-"`
/*The entity namespace
Required: true
In: path
*/
Namespace string
/*Name of package
Required: true
In: path
*/
PackageName string
}
DeletePackageParams contains all the bound params for the delete package operation typically these are obtained from a http.Request
swagger:parameters deletePackage
func NewDeletePackageParams ¶
func NewDeletePackageParams() DeletePackageParams
NewDeletePackageParams creates a new DeletePackageParams object no default values defined in spec.
func (*DeletePackageParams) BindRequest ¶
func (o *DeletePackageParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error
BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.
To ensure default values, the struct must have been initialized with NewDeletePackageParams() beforehand.
type DeletePackageURL ¶
type DeletePackageURL struct {
Namespace string
PackageName string
// contains filtered or unexported fields
}
DeletePackageURL generates an URL for the delete package operation
func (*DeletePackageURL) Build ¶
func (o *DeletePackageURL) Build() (*url.URL, error)
Build a url path and query string
func (*DeletePackageURL) BuildFull ¶
func (o *DeletePackageURL) BuildFull(scheme, host string) (*url.URL, error)
BuildFull builds a full url with scheme, host, path and query string
func (*DeletePackageURL) Must ¶
Must is a helper function to panic when the url builder returns an error
func (*DeletePackageURL) SetBasePath ¶
func (o *DeletePackageURL) SetBasePath(bp string)
SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
func (*DeletePackageURL) String ¶
func (o *DeletePackageURL) String() string
String returns the string representation of the path with query string
func (*DeletePackageURL) StringFull ¶
func (o *DeletePackageURL) StringFull(scheme, host string) string
StringFull returns the string representation of a complete url
func (*DeletePackageURL) WithBasePath ¶
func (o *DeletePackageURL) WithBasePath(bp string) *DeletePackageURL
WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
type DeletePackageUnauthorized ¶
type DeletePackageUnauthorized struct {
Payload *models.ErrorMessage `json:"body,omitempty"`
}
DeletePackageUnauthorized Unauthorized request
swagger:response deletePackageUnauthorized
func NewDeletePackageUnauthorized ¶
func NewDeletePackageUnauthorized() *DeletePackageUnauthorized
NewDeletePackageUnauthorized creates DeletePackageUnauthorized with default headers values
func (*DeletePackageUnauthorized) SetPayload ¶
func (o *DeletePackageUnauthorized) SetPayload(payload *models.ErrorMessage)
SetPayload sets the payload to the delete package unauthorized response
func (*DeletePackageUnauthorized) WithPayload ¶
func (o *DeletePackageUnauthorized) WithPayload(payload *models.ErrorMessage) *DeletePackageUnauthorized
WithPayload adds the payload to the delete package unauthorized response
func (*DeletePackageUnauthorized) WriteResponse ¶
func (o *DeletePackageUnauthorized) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetAllPackages ¶
type GetAllPackages struct {
Context *middleware.Context
Handler GetAllPackagesHandler
}
GetAllPackages swagger:route GET /namespaces/{namespace}/packages Packages getAllPackages
Get all packages ¶
Get all packages
func NewGetAllPackages ¶
func NewGetAllPackages(ctx *middleware.Context, handler GetAllPackagesHandler) *GetAllPackages
NewGetAllPackages creates a new http.Handler for the get all packages operation
func (*GetAllPackages) ServeHTTP ¶
func (o *GetAllPackages) ServeHTTP(rw http.ResponseWriter, r *http.Request)
type GetAllPackagesHandler ¶
type GetAllPackagesHandler interface {
Handle(GetAllPackagesParams, *models.Principal) middleware.Responder
}
GetAllPackagesHandler interface for that can handle valid get all packages params
type GetAllPackagesHandlerFunc ¶
type GetAllPackagesHandlerFunc func(GetAllPackagesParams, *models.Principal) middleware.Responder
GetAllPackagesHandlerFunc turns a function with the right signature into a get all packages handler
func (GetAllPackagesHandlerFunc) Handle ¶
func (fn GetAllPackagesHandlerFunc) Handle(params GetAllPackagesParams, principal *models.Principal) middleware.Responder
Handle executing the request and returning a response
type GetAllPackagesInternalServerError ¶
type GetAllPackagesInternalServerError struct {
/*
In: Body
*/
Payload *models.ErrorMessage `json:"body,omitempty"`
}
GetAllPackagesInternalServerError Server error
swagger:response getAllPackagesInternalServerError
func NewGetAllPackagesInternalServerError ¶
func NewGetAllPackagesInternalServerError() *GetAllPackagesInternalServerError
NewGetAllPackagesInternalServerError creates GetAllPackagesInternalServerError with default headers values
func (*GetAllPackagesInternalServerError) SetPayload ¶
func (o *GetAllPackagesInternalServerError) SetPayload(payload *models.ErrorMessage)
SetPayload sets the payload to the get all packages internal server error response
func (*GetAllPackagesInternalServerError) WithPayload ¶
func (o *GetAllPackagesInternalServerError) WithPayload(payload *models.ErrorMessage) *GetAllPackagesInternalServerError
WithPayload adds the payload to the get all packages internal server error response
func (*GetAllPackagesInternalServerError) WriteResponse ¶
func (o *GetAllPackagesInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetAllPackagesOK ¶
GetAllPackagesOK Packages response
swagger:response getAllPackagesOK
func NewGetAllPackagesOK ¶
func NewGetAllPackagesOK() *GetAllPackagesOK
NewGetAllPackagesOK creates GetAllPackagesOK with default headers values
func (*GetAllPackagesOK) SetPayload ¶
func (o *GetAllPackagesOK) SetPayload(payload []*models.Package)
SetPayload sets the payload to the get all packages o k response
func (*GetAllPackagesOK) WithPayload ¶
func (o *GetAllPackagesOK) WithPayload(payload []*models.Package) *GetAllPackagesOK
WithPayload adds the payload to the get all packages o k response
func (*GetAllPackagesOK) WriteResponse ¶
func (o *GetAllPackagesOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetAllPackagesParams ¶
type GetAllPackagesParams struct {
// HTTP Request Object
HTTPRequest *http.Request `json:"-"`
/*Number of entities to include in the result (0-200). The default limit is 30. A value of 0 sets the limit to the maximum.
In: query
*/
Limit *int64
/*The entity namespace
Required: true
In: path
*/
Namespace string
/*Include publicly shared entitles in the result.
In: query
*/
Public *bool
/*Number of entities to skip in the result.
In: query
*/
Skip *int64
}
GetAllPackagesParams contains all the bound params for the get all packages operation typically these are obtained from a http.Request
swagger:parameters getAllPackages
func NewGetAllPackagesParams ¶
func NewGetAllPackagesParams() GetAllPackagesParams
NewGetAllPackagesParams creates a new GetAllPackagesParams object no default values defined in spec.
func (*GetAllPackagesParams) BindRequest ¶
func (o *GetAllPackagesParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error
BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.
To ensure default values, the struct must have been initialized with NewGetAllPackagesParams() beforehand.
type GetAllPackagesURL ¶
type GetAllPackagesURL struct {
Namespace string
Limit *int64
Public *bool
Skip *int64
// contains filtered or unexported fields
}
GetAllPackagesURL generates an URL for the get all packages operation
func (*GetAllPackagesURL) Build ¶
func (o *GetAllPackagesURL) Build() (*url.URL, error)
Build a url path and query string
func (*GetAllPackagesURL) BuildFull ¶
func (o *GetAllPackagesURL) BuildFull(scheme, host string) (*url.URL, error)
BuildFull builds a full url with scheme, host, path and query string
func (*GetAllPackagesURL) Must ¶
Must is a helper function to panic when the url builder returns an error
func (*GetAllPackagesURL) SetBasePath ¶
func (o *GetAllPackagesURL) SetBasePath(bp string)
SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
func (*GetAllPackagesURL) String ¶
func (o *GetAllPackagesURL) String() string
String returns the string representation of the path with query string
func (*GetAllPackagesURL) StringFull ¶
func (o *GetAllPackagesURL) StringFull(scheme, host string) string
StringFull returns the string representation of a complete url
func (*GetAllPackagesURL) WithBasePath ¶
func (o *GetAllPackagesURL) WithBasePath(bp string) *GetAllPackagesURL
WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
type GetAllPackagesUnauthorized ¶
type GetAllPackagesUnauthorized struct {
Payload *models.ErrorMessage `json:"body,omitempty"`
}
GetAllPackagesUnauthorized Unauthorized request
swagger:response getAllPackagesUnauthorized
func NewGetAllPackagesUnauthorized ¶
func NewGetAllPackagesUnauthorized() *GetAllPackagesUnauthorized
NewGetAllPackagesUnauthorized creates GetAllPackagesUnauthorized with default headers values
func (*GetAllPackagesUnauthorized) SetPayload ¶
func (o *GetAllPackagesUnauthorized) SetPayload(payload *models.ErrorMessage)
SetPayload sets the payload to the get all packages unauthorized response
func (*GetAllPackagesUnauthorized) WithPayload ¶
func (o *GetAllPackagesUnauthorized) WithPayload(payload *models.ErrorMessage) *GetAllPackagesUnauthorized
WithPayload adds the payload to the get all packages unauthorized response
func (*GetAllPackagesUnauthorized) WriteResponse ¶
func (o *GetAllPackagesUnauthorized) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetPackageByName ¶
type GetPackageByName struct {
Context *middleware.Context
Handler GetPackageByNameHandler
}
GetPackageByName swagger:route GET /namespaces/{namespace}/packages/{packageName} Packages getPackageByName
Get package information ¶
Get package information.
func NewGetPackageByName ¶
func NewGetPackageByName(ctx *middleware.Context, handler GetPackageByNameHandler) *GetPackageByName
NewGetPackageByName creates a new http.Handler for the get package by name operation
func (*GetPackageByName) ServeHTTP ¶
func (o *GetPackageByName) ServeHTTP(rw http.ResponseWriter, r *http.Request)
type GetPackageByNameConflict ¶
type GetPackageByNameConflict struct {
/*
In: Body
*/
Payload *models.ErrorMessage `json:"body,omitempty"`
}
GetPackageByNameConflict Conflicting item already exists
swagger:response getPackageByNameConflict
func NewGetPackageByNameConflict ¶
func NewGetPackageByNameConflict() *GetPackageByNameConflict
NewGetPackageByNameConflict creates GetPackageByNameConflict with default headers values
func (*GetPackageByNameConflict) SetPayload ¶
func (o *GetPackageByNameConflict) SetPayload(payload *models.ErrorMessage)
SetPayload sets the payload to the get package by name conflict response
func (*GetPackageByNameConflict) WithPayload ¶
func (o *GetPackageByNameConflict) WithPayload(payload *models.ErrorMessage) *GetPackageByNameConflict
WithPayload adds the payload to the get package by name conflict response
func (*GetPackageByNameConflict) WriteResponse ¶
func (o *GetPackageByNameConflict) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetPackageByNameHandler ¶
type GetPackageByNameHandler interface {
Handle(GetPackageByNameParams, *models.Principal) middleware.Responder
}
GetPackageByNameHandler interface for that can handle valid get package by name params
type GetPackageByNameHandlerFunc ¶
type GetPackageByNameHandlerFunc func(GetPackageByNameParams, *models.Principal) middleware.Responder
GetPackageByNameHandlerFunc turns a function with the right signature into a get package by name handler
func (GetPackageByNameHandlerFunc) Handle ¶
func (fn GetPackageByNameHandlerFunc) Handle(params GetPackageByNameParams, principal *models.Principal) middleware.Responder
Handle executing the request and returning a response
type GetPackageByNameInternalServerError ¶
type GetPackageByNameInternalServerError struct {
/*
In: Body
*/
Payload *models.ErrorMessage `json:"body,omitempty"`
}
GetPackageByNameInternalServerError Server error
swagger:response getPackageByNameInternalServerError
func NewGetPackageByNameInternalServerError ¶
func NewGetPackageByNameInternalServerError() *GetPackageByNameInternalServerError
NewGetPackageByNameInternalServerError creates GetPackageByNameInternalServerError with default headers values
func (*GetPackageByNameInternalServerError) SetPayload ¶
func (o *GetPackageByNameInternalServerError) SetPayload(payload *models.ErrorMessage)
SetPayload sets the payload to the get package by name internal server error response
func (*GetPackageByNameInternalServerError) WithPayload ¶
func (o *GetPackageByNameInternalServerError) WithPayload(payload *models.ErrorMessage) *GetPackageByNameInternalServerError
WithPayload adds the payload to the get package by name internal server error response
func (*GetPackageByNameInternalServerError) WriteResponse ¶
func (o *GetPackageByNameInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetPackageByNameNotFound ¶
type GetPackageByNameNotFound struct {
/*
In: Body
*/
Payload *models.ErrorMessage `json:"body,omitempty"`
}
GetPackageByNameNotFound Item not found
swagger:response getPackageByNameNotFound
func NewGetPackageByNameNotFound ¶
func NewGetPackageByNameNotFound() *GetPackageByNameNotFound
NewGetPackageByNameNotFound creates GetPackageByNameNotFound with default headers values
func (*GetPackageByNameNotFound) SetPayload ¶
func (o *GetPackageByNameNotFound) SetPayload(payload *models.ErrorMessage)
SetPayload sets the payload to the get package by name not found response
func (*GetPackageByNameNotFound) WithPayload ¶
func (o *GetPackageByNameNotFound) WithPayload(payload *models.ErrorMessage) *GetPackageByNameNotFound
WithPayload adds the payload to the get package by name not found response
func (*GetPackageByNameNotFound) WriteResponse ¶
func (o *GetPackageByNameNotFound) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetPackageByNameOK ¶
GetPackageByNameOK Returned package
swagger:response getPackageByNameOK
func NewGetPackageByNameOK ¶
func NewGetPackageByNameOK() *GetPackageByNameOK
NewGetPackageByNameOK creates GetPackageByNameOK with default headers values
func (*GetPackageByNameOK) SetPayload ¶
func (o *GetPackageByNameOK) SetPayload(payload *models.Package)
SetPayload sets the payload to the get package by name o k response
func (*GetPackageByNameOK) WithPayload ¶
func (o *GetPackageByNameOK) WithPayload(payload *models.Package) *GetPackageByNameOK
WithPayload adds the payload to the get package by name o k response
func (*GetPackageByNameOK) WriteResponse ¶
func (o *GetPackageByNameOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type GetPackageByNameParams ¶
type GetPackageByNameParams struct {
// HTTP Request Object
HTTPRequest *http.Request `json:"-"`
/*The entity namespace
Required: true
In: path
*/
Namespace string
/*Name of package to fetch
Required: true
In: path
*/
PackageName string
}
GetPackageByNameParams contains all the bound params for the get package by name operation typically these are obtained from a http.Request
swagger:parameters getPackageByName
func NewGetPackageByNameParams ¶
func NewGetPackageByNameParams() GetPackageByNameParams
NewGetPackageByNameParams creates a new GetPackageByNameParams object no default values defined in spec.
func (*GetPackageByNameParams) BindRequest ¶
func (o *GetPackageByNameParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error
BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.
To ensure default values, the struct must have been initialized with NewGetPackageByNameParams() beforehand.
type GetPackageByNameURL ¶
type GetPackageByNameURL struct {
Namespace string
PackageName string
// contains filtered or unexported fields
}
GetPackageByNameURL generates an URL for the get package by name operation
func (*GetPackageByNameURL) Build ¶
func (o *GetPackageByNameURL) Build() (*url.URL, error)
Build a url path and query string
func (*GetPackageByNameURL) BuildFull ¶
func (o *GetPackageByNameURL) BuildFull(scheme, host string) (*url.URL, error)
BuildFull builds a full url with scheme, host, path and query string
func (*GetPackageByNameURL) Must ¶
Must is a helper function to panic when the url builder returns an error
func (*GetPackageByNameURL) SetBasePath ¶
func (o *GetPackageByNameURL) SetBasePath(bp string)
SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
func (*GetPackageByNameURL) String ¶
func (o *GetPackageByNameURL) String() string
String returns the string representation of the path with query string
func (*GetPackageByNameURL) StringFull ¶
func (o *GetPackageByNameURL) StringFull(scheme, host string) string
StringFull returns the string representation of a complete url
func (*GetPackageByNameURL) WithBasePath ¶
func (o *GetPackageByNameURL) WithBasePath(bp string) *GetPackageByNameURL
WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
type GetPackageByNameUnauthorized ¶
type GetPackageByNameUnauthorized struct {
Payload *models.ErrorMessage `json:"body,omitempty"`
}
GetPackageByNameUnauthorized Unauthorized request
swagger:response getPackageByNameUnauthorized
func NewGetPackageByNameUnauthorized ¶
func NewGetPackageByNameUnauthorized() *GetPackageByNameUnauthorized
NewGetPackageByNameUnauthorized creates GetPackageByNameUnauthorized with default headers values
func (*GetPackageByNameUnauthorized) SetPayload ¶
func (o *GetPackageByNameUnauthorized) SetPayload(payload *models.ErrorMessage)
SetPayload sets the payload to the get package by name unauthorized response
func (*GetPackageByNameUnauthorized) WithPayload ¶
func (o *GetPackageByNameUnauthorized) WithPayload(payload *models.ErrorMessage) *GetPackageByNameUnauthorized
WithPayload adds the payload to the get package by name unauthorized response
func (*GetPackageByNameUnauthorized) WriteResponse ¶
func (o *GetPackageByNameUnauthorized) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type UpdatePackage ¶
type UpdatePackage struct {
Context *middleware.Context
Handler UpdatePackageHandler
}
UpdatePackage swagger:route PUT /namespaces/{namespace}/packages/{packageName} Packages updatePackage
Create or update a package ¶
Create or update a package
func NewUpdatePackage ¶
func NewUpdatePackage(ctx *middleware.Context, handler UpdatePackageHandler) *UpdatePackage
NewUpdatePackage creates a new http.Handler for the update package operation
func (*UpdatePackage) ServeHTTP ¶
func (o *UpdatePackage) ServeHTTP(rw http.ResponseWriter, r *http.Request)
type UpdatePackageBadRequest ¶
type UpdatePackageBadRequest struct {
/*
In: Body
*/
Payload *models.ErrorMessage `json:"body,omitempty"`
}
UpdatePackageBadRequest Bad request
swagger:response updatePackageBadRequest
func NewUpdatePackageBadRequest ¶
func NewUpdatePackageBadRequest() *UpdatePackageBadRequest
NewUpdatePackageBadRequest creates UpdatePackageBadRequest with default headers values
func (*UpdatePackageBadRequest) SetPayload ¶
func (o *UpdatePackageBadRequest) SetPayload(payload *models.ErrorMessage)
SetPayload sets the payload to the update package bad request response
func (*UpdatePackageBadRequest) WithPayload ¶
func (o *UpdatePackageBadRequest) WithPayload(payload *models.ErrorMessage) *UpdatePackageBadRequest
WithPayload adds the payload to the update package bad request response
func (*UpdatePackageBadRequest) WriteResponse ¶
func (o *UpdatePackageBadRequest) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type UpdatePackageConflict ¶
type UpdatePackageConflict struct {
/*
In: Body
*/
Payload *models.ErrorMessage `json:"body,omitempty"`
}
UpdatePackageConflict Conflicting item already exists
swagger:response updatePackageConflict
func NewUpdatePackageConflict ¶
func NewUpdatePackageConflict() *UpdatePackageConflict
NewUpdatePackageConflict creates UpdatePackageConflict with default headers values
func (*UpdatePackageConflict) SetPayload ¶
func (o *UpdatePackageConflict) SetPayload(payload *models.ErrorMessage)
SetPayload sets the payload to the update package conflict response
func (*UpdatePackageConflict) WithPayload ¶
func (o *UpdatePackageConflict) WithPayload(payload *models.ErrorMessage) *UpdatePackageConflict
WithPayload adds the payload to the update package conflict response
func (*UpdatePackageConflict) WriteResponse ¶
func (o *UpdatePackageConflict) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type UpdatePackageForbidden ¶
type UpdatePackageForbidden struct {
/*
In: Body
*/
Payload *models.ErrorMessage `json:"body,omitempty"`
}
UpdatePackageForbidden Unauthorized request
swagger:response updatePackageForbidden
func NewUpdatePackageForbidden ¶
func NewUpdatePackageForbidden() *UpdatePackageForbidden
NewUpdatePackageForbidden creates UpdatePackageForbidden with default headers values
func (*UpdatePackageForbidden) SetPayload ¶
func (o *UpdatePackageForbidden) SetPayload(payload *models.ErrorMessage)
SetPayload sets the payload to the update package forbidden response
func (*UpdatePackageForbidden) WithPayload ¶
func (o *UpdatePackageForbidden) WithPayload(payload *models.ErrorMessage) *UpdatePackageForbidden
WithPayload adds the payload to the update package forbidden response
func (*UpdatePackageForbidden) WriteResponse ¶
func (o *UpdatePackageForbidden) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type UpdatePackageHandler ¶
type UpdatePackageHandler interface {
Handle(UpdatePackageParams, *models.Principal) middleware.Responder
}
UpdatePackageHandler interface for that can handle valid update package params
type UpdatePackageHandlerFunc ¶
type UpdatePackageHandlerFunc func(UpdatePackageParams, *models.Principal) middleware.Responder
UpdatePackageHandlerFunc turns a function with the right signature into a update package handler
func (UpdatePackageHandlerFunc) Handle ¶
func (fn UpdatePackageHandlerFunc) Handle(params UpdatePackageParams, principal *models.Principal) middleware.Responder
Handle executing the request and returning a response
type UpdatePackageInternalServerError ¶
type UpdatePackageInternalServerError struct {
/*
In: Body
*/
Payload *models.ErrorMessage `json:"body,omitempty"`
}
UpdatePackageInternalServerError Server error
swagger:response updatePackageInternalServerError
func NewUpdatePackageInternalServerError ¶
func NewUpdatePackageInternalServerError() *UpdatePackageInternalServerError
NewUpdatePackageInternalServerError creates UpdatePackageInternalServerError with default headers values
func (*UpdatePackageInternalServerError) SetPayload ¶
func (o *UpdatePackageInternalServerError) SetPayload(payload *models.ErrorMessage)
SetPayload sets the payload to the update package internal server error response
func (*UpdatePackageInternalServerError) WithPayload ¶
func (o *UpdatePackageInternalServerError) WithPayload(payload *models.ErrorMessage) *UpdatePackageInternalServerError
WithPayload adds the payload to the update package internal server error response
func (*UpdatePackageInternalServerError) WriteResponse ¶
func (o *UpdatePackageInternalServerError) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type UpdatePackageOK ¶
UpdatePackageOK Updated Package
swagger:response updatePackageOK
func NewUpdatePackageOK ¶
func NewUpdatePackageOK() *UpdatePackageOK
NewUpdatePackageOK creates UpdatePackageOK with default headers values
func (*UpdatePackageOK) SetPayload ¶
func (o *UpdatePackageOK) SetPayload(payload *models.Package)
SetPayload sets the payload to the update package o k response
func (*UpdatePackageOK) WithPayload ¶
func (o *UpdatePackageOK) WithPayload(payload *models.Package) *UpdatePackageOK
WithPayload adds the payload to the update package o k response
func (*UpdatePackageOK) WriteResponse ¶
func (o *UpdatePackageOK) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type UpdatePackageParams ¶
type UpdatePackageParams struct {
// HTTP Request Object
HTTPRequest *http.Request `json:"-"`
/*The entity namespace
Required: true
In: path
*/
Namespace string
/*Overwrite item if it exists. Default is false.
In: query
*/
Overwrite *string
/*The package being updated
Required: true
In: body
*/
Package *models.PackagePut
/*Name of package
Required: true
In: path
*/
PackageName string
}
UpdatePackageParams contains all the bound params for the update package operation typically these are obtained from a http.Request
swagger:parameters updatePackage
func NewUpdatePackageParams ¶
func NewUpdatePackageParams() UpdatePackageParams
NewUpdatePackageParams creates a new UpdatePackageParams object no default values defined in spec.
func (*UpdatePackageParams) BindRequest ¶
func (o *UpdatePackageParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error
BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface for simple values it will use straight method calls.
To ensure default values, the struct must have been initialized with NewUpdatePackageParams() beforehand.
type UpdatePackageRequestEntityTooLarge ¶
type UpdatePackageRequestEntityTooLarge struct {
/*
In: Body
*/
Payload *models.ErrorMessage `json:"body,omitempty"`
}
UpdatePackageRequestEntityTooLarge Request entity too large
swagger:response updatePackageRequestEntityTooLarge
func NewUpdatePackageRequestEntityTooLarge ¶
func NewUpdatePackageRequestEntityTooLarge() *UpdatePackageRequestEntityTooLarge
NewUpdatePackageRequestEntityTooLarge creates UpdatePackageRequestEntityTooLarge with default headers values
func (*UpdatePackageRequestEntityTooLarge) SetPayload ¶
func (o *UpdatePackageRequestEntityTooLarge) SetPayload(payload *models.ErrorMessage)
SetPayload sets the payload to the update package request entity too large response
func (*UpdatePackageRequestEntityTooLarge) WithPayload ¶
func (o *UpdatePackageRequestEntityTooLarge) WithPayload(payload *models.ErrorMessage) *UpdatePackageRequestEntityTooLarge
WithPayload adds the payload to the update package request entity too large response
func (*UpdatePackageRequestEntityTooLarge) WriteResponse ¶
func (o *UpdatePackageRequestEntityTooLarge) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
type UpdatePackageURL ¶
type UpdatePackageURL struct {
Namespace string
PackageName string
Overwrite *string
// contains filtered or unexported fields
}
UpdatePackageURL generates an URL for the update package operation
func (*UpdatePackageURL) Build ¶
func (o *UpdatePackageURL) Build() (*url.URL, error)
Build a url path and query string
func (*UpdatePackageURL) BuildFull ¶
func (o *UpdatePackageURL) BuildFull(scheme, host string) (*url.URL, error)
BuildFull builds a full url with scheme, host, path and query string
func (*UpdatePackageURL) Must ¶
Must is a helper function to panic when the url builder returns an error
func (*UpdatePackageURL) SetBasePath ¶
func (o *UpdatePackageURL) SetBasePath(bp string)
SetBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
func (*UpdatePackageURL) String ¶
func (o *UpdatePackageURL) String() string
String returns the string representation of the path with query string
func (*UpdatePackageURL) StringFull ¶
func (o *UpdatePackageURL) StringFull(scheme, host string) string
StringFull returns the string representation of a complete url
func (*UpdatePackageURL) WithBasePath ¶
func (o *UpdatePackageURL) WithBasePath(bp string) *UpdatePackageURL
WithBasePath sets the base path for this url builder, only required when it's different from the base path specified in the swagger spec. When the value of the base path is an empty string
type UpdatePackageUnauthorized ¶
type UpdatePackageUnauthorized struct {
Payload *models.ErrorMessage `json:"body,omitempty"`
}
UpdatePackageUnauthorized Unauthorized request
swagger:response updatePackageUnauthorized
func NewUpdatePackageUnauthorized ¶
func NewUpdatePackageUnauthorized() *UpdatePackageUnauthorized
NewUpdatePackageUnauthorized creates UpdatePackageUnauthorized with default headers values
func (*UpdatePackageUnauthorized) SetPayload ¶
func (o *UpdatePackageUnauthorized) SetPayload(payload *models.ErrorMessage)
SetPayload sets the payload to the update package unauthorized response
func (*UpdatePackageUnauthorized) WithPayload ¶
func (o *UpdatePackageUnauthorized) WithPayload(payload *models.ErrorMessage) *UpdatePackageUnauthorized
WithPayload adds the payload to the update package unauthorized response
func (*UpdatePackageUnauthorized) WriteResponse ¶
func (o *UpdatePackageUnauthorized) WriteResponse(rw http.ResponseWriter, producer runtime.Producer)
WriteResponse to the client
Source Files
¶
- delete_package.go
- delete_package_parameters.go
- delete_package_responses.go
- delete_package_urlbuilder.go
- get_all_packages.go
- get_all_packages_parameters.go
- get_all_packages_responses.go
- get_all_packages_urlbuilder.go
- get_package_by_name.go
- get_package_by_name_parameters.go
- get_package_by_name_responses.go
- get_package_by_name_urlbuilder.go
- update_package.go
- update_package_parameters.go
- update_package_responses.go
- update_package_urlbuilder.go